unit Progedit;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  StdCtrls, Forms, DBCtrls, DB, IceLock, Mask, DBTables, ExtCtrls;

type
  TProgEditForm = class(TForm)
    DBNavigator: TDBNavigator;
    Panel1: TPanel;
    DataSource1: TDataSource;
    Panel2: TPanel;
    Table1: TTable;
    Label1: TLabel;
    EditProgramName: TDBEdit;
    Label2: TLabel;
    EditIceString: TDBEdit;
    Label3: TLabel;
    EditIceString2: TDBEdit;
    Label4: TLabel;
    EditSeed1: TDBEdit;
    Label5: TLabel;
    EditSeed2: TDBEdit;
    Label6: TLabel;
    EditKey1: TDBEdit;
    Label7: TLabel;
    EditKey2: TDBEdit;
    Label8: TLabel;
    EditPrice: TDBEdit;
    Memo1: TDBMemo;
    Memo: TLabel;
    IceLock1: tIceLock;
    procedure FormCreate(Sender: TObject);
    procedure EditIceStringExit(Sender: TObject);
    procedure EditIceString2Exit(Sender: TObject);
    procedure Table1NewRecord(DataSet: TDataset);
    procedure EditSeed1Exit(Sender: TObject);
    procedure EditSeed2Exit(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  ProgEditForm: TProgEditForm;

implementation

{$R *.DFM}

procedure TProgEditForm.FormCreate(Sender: TObject);
begin
  Table1.Open;
end;

procedure TProgEditForm.EditIceStringExit(Sender: TObject);
begin
  IceLock1.IceString1 := EditIceString.Text;
  Table1.Edit;
  Table1.Post;
  Table1.Edit;
  Table1.SetFields([nil,nil,nil,
                    IceLock1.IceSeed1,
                    nil,
                    IceLock1.ProgramKey1,
                    nil]);
  Table1.Post;
end;


procedure TProgEditForm.EditIceString2Exit(Sender: TObject);
begin
  IceLock1.IceString2 := EditIceString2.Text;
  Table1.Edit;
  Table1.Post;
  Table1.Edit;
  Table1.SetFields([nil,nil,nil,
                    nil,
                    IceLock1.IceSeed2,
                    nil,
                    IceLock1.ProgramKey2]);
  Table1.Post;
end;

procedure TProgEditForm.Table1NewRecord(DataSet: TDataset);
begin
  Table1.SetFields([nil,
                    IceLock1.IceString1,
                    IceLock1.IceString2,
                    IceLock1.IceSeed1,
                    IceLock1.IceSeed2,
                    IceLock1.ProgramKey1,
                    IceLock1.ProgramKey2]);
end;

procedure TProgEditForm.EditSeed1Exit(Sender: TObject);
var
  l : longint;
  e : integer;
begin
  val(EditSeed1.Text,l,e);
  IceLock1.IceSeed1 := l;
  Table1.Edit;
  Table1.Post;
  Table1.Edit;
  Table1.SetFields([nil,nil,nil,
                    nil,
                    nil,
                    IceLock1.ProgramKey1,
                    nil]);
  Table1.Post;
end;

procedure TProgEditForm.EditSeed2Exit(Sender: TObject);
var
  l : longint;
  e : integer;
begin
  val(EditSeed2.Text,l,e);
  IceLock1.IceSeed2 := l;
  Table1.Edit;
  Table1.Post;
  Table1.Edit;
  Table1.SetFields([nil,nil,nil,
                    nil,
                    nil,
                    nil,
                    IceLock1.ProgramKey2]);
  Table1.Post;
end;

end.